Skip to main content
GET
/
v2
/
amplify
/
liquidityShortfalls
List liquidity shortfalls
curl --request GET \
  --url https://api.paxoslabs.com/v2/amplify/liquidityShortfalls \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.paxoslabs.com/v2/amplify/liquidityShortfalls"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.paxoslabs.com/v2/amplify/liquidityShortfalls', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "liquidityShortfalls": [
    {
      "vaultAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "chainId": 1,
      "assetAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
      "shortfallAmount": "250.0",
      "withdrawDemand": "1250.0",
      "asOfTime": "2026-01-21T15:04:05Z"
    }
  ],
  "nextPageToken": "eyJvZmZzZXQiOjI1fQ==",
  "tokenMetadata": {}
}
{
  "error": {
    "code": 400,
    "message": "Invalid filter syntax.",
    "status": "INVALID_ARGUMENT",
    "details": [
      {
        "@type": "type.paxoslabs.dev/errors/BadRequest",
        "fieldViolations": [
          {
            "field": "filter",
            "description": "vaultAddress 0x0x is an invalid hex address."
          }
        ]
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Query Parameters

pageSize
number
default:25

Maximum items per page. Default: 25. Min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

25

pageToken
string

Opaque token for the next page. Omit for the first page.

filter
string

Filter string. Flags: vaultAddress, chainId, assetAddress. Optional.

Example:

"chainId=1 AND vaultAddress=0x1234567890abcdef1234567890abcdef12345678"

Response

List of liquidity shortfalls

liquidityShortfalls
object[]
required

List of liquidity shortfalls

nextPageToken
string | null
required

Token for the next page. null when there are no more results. Always present.

Example:

"eyJvZmZzZXQiOjI1fQ=="

tokenMetadata
object
required

Address metadata map keyed by lowercase token/address. Missing metadata is represented as null.